Page MenuHomePhabricator

Create possibility of retrieving the name of certain Wikimedia project in any language
Closed, DeclinedPublic

Description

If we wanted to refer (such as by link, or in search results, or any other way) to a certain Wikimedia project (such as German Wikipedia or Italian WikiNews) we need an ability to figure out what the name of the project is, automatically, and be able to translate it into user's content language for display.

Event Timeline

Smalyshev updated the task description. (Show Details)
Smalyshev raised the priority of this task from to Needs Triage.
Smalyshev added a project: Discovery.
Smalyshev added subscribers: Smalyshev, EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 9:13 PM

We can base it on either interwiki prefix or wiki's dbname, not sure which one is the best primary key in this case.

Current proposed solution, provided it turns out we do not have such list:

  1. Create a set of messages in WikimediaMessages extension with pattern name like interwiki-name-enwiki, interwiki-name-itwikisource, etc.
  2. Initialize these messages from Wikidata labels in English
  3. Import other labels for the same projects in other languages into respective language translations
  4. Incrementally work to improve the translations/coverage so every project has a proper name in every language
Deskana added a subscriber: Deskana.EditedSep 18 2015, 9:52 PM

@Smalyshev Is this sufficient to unblock T112349? I thought we needed the entire "Showing results from X Wikipedia" string for that to match the mockup?

Change 241126 had a related patch set uploaded (by Smalyshev):
Different approach to localizing wiki names

https://gerrit.wikimedia.org/r/241126

EBernhardson closed this task as Declined.Oct 8 2015, 4:49 PM
EBernhardson claimed this task.

We are going to move forward with the alternative approach, if/when the correct handling of these names is possible we can revisit.

Change 241126 abandoned by Deskana:
Different approach to localizing wiki names

Reason:
Abandoning since the associated task was declined. This may be restored at a later date for further work, but not for the foreseeable future.

https://gerrit.wikimedia.org/r/241126

Restricted Application added subscribers: StudiesWorld, Luke081515. · View Herald TranscriptJan 22 2016, 11:27 PM

@Nemo_bis: would you like to reopen this task? Blocking on closed declined task may not do much good.

@Nemo_bis: would you like to reopen this task? Blocking on closed declined task may not do much good.

It's not my intention to reopen. This bug, if accepted, would be a blocker. Currently it's declined, not my decision.